Subject: Is this group living? My configuration
From: [email-masked] (Ignatios Souvatzis)
To: [email-masked]
Date: Wed, 3 Jul 91 17:53:30 +0200

Date: Wed, 3 Jul 91 17:53:30 +0200
From: [email-masked] (Ignatios Souvatzis)
To: [email-masked]
Subject: Is this group living?
	 My configuration
Reply-To: [email-masked]
Return-Receipt-To: [email-masked]
X-Mailer: GNU Emacs 18.57.11
X-Face: #rB\(f0m-qD2bY_7cpmZ003p,.l7>l`p}-q43!):$O(uULZbza}e&4,:u->2+c;hF`R[4bO
 ed'#>RHkOj9)lR>|Q~s5]r,HaF}DPNgWP:\C;{2b%\()YWy#HYY-5e."ZQgvy]d;h{jrC>!F>2V_IX
 Jv+W12\ivy]

Hi folks,

I never saw a message on this group since I was added so I think I should send one
myself, to test it. 

I add a description of my machine, so that nobody is bored by this test:

I have a PDP8/M on my table (which should have been in the garbage by
now) with---

8K words core (& of course supervisor/user stuff)
NO parity option
NO EAE
NO whatever.

A teletype (from a german factory, but all TELETYPE CORP. parts
inside --- remember the european telex system uses baudot code instead
of ascii), which is not working --- I'll have to do a lot of
adjusting & cleaning.

And, of course, lots of Paper Tapes.

I managed to toggle in a simple memory tester... it works on both 4k
pages of memory!

What do you folks out there on the net use? 

Paper mail: Ignatios Souvatzis, Radioastronomisches Institut der 
            Universitaet Bonn, Auf dem Huegel 71, D-5300 Bonn 1, FRG
Internet:   [email-masked]

Date: Wed, 3 Jul 91 18:03:26 +0200
From: [email-masked] (Ignatios Souvatzis)
To: [email-masked], [email-masked]
Subject: Has anybody written a gcc machine description file for the PDP8?
Reply-To: [email-masked]
Return-Receipt-To: [email-masked]

Date: Wed, 3 Jul 91 18:03:26 +0200
From: [email-masked] (Ignatios Souvatzis)
To: [email-masked], [email-masked]
Subject: Has anybody written a gcc machine description file for the PDP8?
Reply-To: [email-masked]
Return-Receipt-To: [email-masked]
X-Mailer: GNU Emacs 18.57.11
X-Face: #rB\(f0m-qD2bY_7cpmZ003p,.l7>l`p}-q43!):$O(uULZbza}e&4,:u->2+c;hF`R[4bO
 ed'#>RHkOj9)lR>|Q~s5]r,HaF}DPNgWP:\C;{2b%\()YWy#HYY-5e."ZQgvy]d;h{jrC>!F>2V_IX
 Jv+W12\ivy]

The subject says it all.

Paper mail: Ignatios Souvatzis, Radioastronomisches Institut der 
            Universitaet Bonn, Auf dem Huegel 71, D-5300 Bonn 1, FRG
Internet:   [email-masked]

Date: Wed, 3 Jul 91 15:40:27 EDT
From: Charles Lasner <[email-masked]>
To: [email-masked]

Date: Wed, 3 Jul 91 15:40:27 EDT
From: Charles Lasner <[email-masked]>
To: [email-masked]

From: Charles Lasner <[email-masked]>
To: [email-masked]
Subject: What is a PDP-8?

    There seems to be a lot of confusion about just what a PDP-8 is,
especially among "outsiders" meaning non-regular readers of this list.

    So, to dispell a few rumors, etc., here is a partial list of some
fundamentals:

1)  The PDP-8 series and their compatibles are a collection of machines
all of which have a common instruction set.  The basic unit of storage
is the 12-bit word, *NOT* eight bits.  The base instruction set is that
which is implemented in the classic DEC PDP-8.  The standard
configuration is 4096 words, or 4K for short.  From this base comes
virtually all other models with two exceptions:

    The PDP-5 is an earlier model which is NOT completely compatible.
1K is standard, but 4K is often available as a common option.  Little
software exists for this machine besides FOCAL, 1969 which does a
special-case check for the PDP-5 anomaly and self-patches accordingly.
The only peripherals supported by FOCAL, 1969 are the ASCII console
teletype, presumed to be a model 33 or 35 without dependence on
horizontal tabs, and the high-speed reader.  No storage peripherals are
used. 

    Rumored to exist is a variant to the so-called DEC Library System
which has counterparts in the TC01/08 and LINC-8 worlds which uses the
type 555 DECtape.  Few DMA peripherals are even possible on the PDP-5
because the bus lacks 3-cycle breaks, and a break field.  The Data Field
can be used, but this interferes with the software because interrupts
must be disabled to accomplish this kludge.  The Library system only
uses 4K so this isn't a consideration.

    The PDP-8/s is a later model which is NOT completely compatible.
The same limitations as the PDP-5 apply, except that the 8/s is
notoriously slow while the -5 is merely somewhat slow.  The 8/s is
missing different instructions from those missing in the -5, and FOCAL,
1969 takes different self-patching approaches to be able to run on each.

    The DF-32 version of the Disk Monitor System can be run on an -8/s
theoretically, or at least some early version of this modest system.  It
is rumored that both the PDP-5 and PDP-8/s have/had devotees attempting
to modify them to be PDP-8 instruction set compatible so that newer
software can run on them.  When discussing the so-called PDP-8 "family"
of machines, the PDP-8/s and PDP-5 are specifically called out as not
belonging.  The significent software systems (OS/8 family, P?S/8,
COS-310, etc.) cannot run on the -8/s and -5.

2)  The PDP-8 can have an optional arithmetic option called EAE or
Extended Arithmetic Element.  It is far too complex to add to an -8/s
assuming the -8 compatibility issues were solved.  The PDP-5 also has an
EAE option, but it is totally incompatible, and more resembles an I/O
device.  Newer models, such as the PDP-8/e, can have EAE options that
are a large superset of the original EAE, but programs written for the
original EAE can run on the -8/e if properly initialized.

3)  All members of the family of PDP-8 made by DEC come either standard
or by trivial interface to a console teletype or other terminal capable
of acting as at least a glass tty:.  A modest amount of early pitiful
software was developed for the machine equipped only with a teletype
with a reader and punch option, or at best a high-speed reader/punch
unit.

    The diagnostic programs are a leftover from this era since they are
meant to be run from this highly limited environment, and occasionally
are actually incompatible with newer software systems because they usurp
O/S-reserved areas of memory (07600-07777).  These incompatibilites were
caused by lack of communications between the diagnostics groups which
were an offshoot of the hardware design group, and the software
development group.

    This is a typical DEC situation, and caused many frustrations where
software development is perverted towards wasted efforts attempting to
ameliorate software problems caused by arbitrary hardware constraints.
If the software and hardware groups coordinated their efforts, a lot of
PDP-8 system programming could have been channeled into more productive
things than ineffective rewrites of handlers for the RX01/02, etc.,
which can never fully achieve an effective solution, etc.  This is a
pervasive DEC problem and will not be discussed in detail here.

    Most members of the PDP-8 family do not usually have memory parity,
but it is usually available as an option.  DEC's core memory
implementations were known for their reliability, so memory parity was
seldom used.

4)  All effective software for the PDP-8 is *NOT* based on merely the
configurations discussed above, but on a larger system which includes at
least one bulk storage device, such as a DECtape or disk.  Having merely
a PDP-8 processing unit in a box, and perhaps a teletype does not
qualify as a system to accomplish anything serious upon.  Additions to
the machine past this minimum serve only to improve the configuration,
but anything less than this can't run any part of the software.

5)  All of the operating systems for the PDP-8 that "matter" can be
configured for any suitable mass storage device.  Some systems require
additional memory.  Here are some examples of some minimal yet viable
systems and their memory requirements:

Peripheral              OS/8 min. memory        P?S/8 min. memory

TC01/08 DECtape and            8K                       4K
1-8 TU55/56 drive(s)

TD8E DECtape and
1-2 TU56 drive(s)             12K                       8K

RX01 diskette with
1-2 drives                    12K                       8K

The general rule of thumb is that OS/8 will always take 4K more memory
than P?S/8.  The only exceptions are those cases where P?S/8 and OS/8
both require 8K, since if OS/8 requires 12K, P?S/8 can always run in 8K
on the same configuration.  The reason for this is that P?S/8 and OS/8
allocate roughly the same amount of memory for the system device handler
if possible, and failing this, OS/8 doubles the space (and requires
12K), while P?S/8 allocates NINE times the space (and requires 8K).
Most OS/8 configurations require 8K, and most P?S/8 configurations
require 4K.  Please note that these are MINIMUM configurations, as most
(newer) machines have 32K.

6)  The basic PDP-8 design goes up to 32K using an expansion option
called Extended Memory to achieve more than 4K.  This is available in
all models including the PDP-5 and PDP-8/s.

    Some newer models can be expanded to 128K or even 512K (using CESI
add-on MEC8 memory controller and compatible memory), but there is
little software support directly for these options.  Several large user
packages are known to require this additional memory, including several
systems that emulate the 32K environment as part of a time-sharing
system (OMNI-8, etc.).

    The vast majority of PDP-8 software runs within the 32K environment.

7)  The latest models of the PDP-8 family from DEC are known as the
DECmate series.  There is an in-between model known as the VT-78 which
is basically a PDP-8 microprocessor (6100) built into a VT52 terminal
case complete with interfaces to serial ports, line-printers, other
machines, LQP printers, real-time clock, and the RX01/02 floppy disks.
The CPU runs at approx. the speed of a PDP-5, but is compatible with the
PDP-8/e.  EAE is not an option here.  Memory size is fixed at 16K.

    The DECmate series all have 32K and are based on the newer
PDP-8/e-compatible microprocessor (6120).  All of the DECmates also
support the "alternate universe" of CP memory for a total of 64K words,
but most of the CP memory consists of dedicated functions like the
screen memory.  This aspect of the DECmates works vaguely like an IBM-PC
in that a terminal is faked by the use of video/cpu shared memory, and
poking directly into the memory will directly effect a change on the
screen, if you understand the video memory organization.  Other software
calls are available to look more like a conventional terminal.  In
theory, this allows powerful fast screen updates, but unfortunately,
most software uses the PDP-8-compatible terminal emulator instructions.
(Although this allows compatibility with the earlier PDP-8's where the
terminal was real.)

    The DECmate II, III and III+ allow various options such as color
graphics boards, MFM winchester disks, and various RX01/02 and RX50
floppy disks.  All three support a 64K 8-bit byte memory and Z80 APU
option to allow running CP/M-80.  The DECmate II also supports the XPU
option to run MS-DOS as well in either 256K or 512K.

    The basic configuration for the II or III is a pair of RX50
diskettes, while the III+ comes with an emasculated HD drive that is
configured as an RX50 that transfers 20% faster, but disallows all
extension features such as double-sided or actual high-density, etc.

    Also standard is a 20 Meg ST-225 disk, which is the largest
"standard" size obtainable from DEC for the DECmate II.  The DECmate III
is not disk-upgradable, and can only have the single pair of RX50s.  The
DECmate III+ is also non-upgradable, but an ST-251-1 40 Meg disk could
be placed into it.  "Clandestine" formatting software is available, much
the same as on the Rainbow, to accomodate non-DEC-"sacred" disk sizes.

    The DECmate II can have, over and above the standard RX50 pair,
either an additional RX50 pair and/or 1 or 2 RX01/02 external drives OR
one MFM hard disk and controller.  Standard sizes are 5, 10, and 20
Megs, but larger disks are easily added.  A formatted capacity of 64
Megs is easily implemented using a 1024 cylinder 8 headed MFM disk such
as the Micropolis 1325 or RD53 or a Seagate ST-4096 can be used, wasting
the ninth head.

    An interesting side note:

The RX01/02 and 8K can be configured on any machine from the classic
PDP-8 through the DECmate II.  (Machines prior to the PDP-8/e require
the DW-8/e -n or -p as necessary. Newer machines either support this as
totally standard or a standard option.)  This represents hardware
originally manufactured in 1965 through 1985.  A current copy of P?S/8
built on a SINGLE DISKETTE can be run on the entire gamut of machines
produced over 20 years!  Can any other software for minicomputers make
this claim?  (All you -11 people out there: no fair talking about recent
-11 models in the same breath as the 11/20, because the newer machines
don't use RX01/02, so there are NOT 20 years of -11s that take the same
peripherals :-).  In any case, there wasn't an -11 between 1965 and
1970.)

cjl

Date: Sun 7 Jul 91 13:04:23
From: Johnny Billquist <[email-masked]>
Subject: Re: Is this group living?
To: [email-masked]
Cc: [email-masked], [email-masked]

Date: Sun 7 Jul 91 13:04:23
From: Johnny Billquist <[email-masked]>
Subject: Re: Is this group living?
To: [email-masked]
Cc: [email-masked], [email-masked]
In-Reply-To: <[email-masked]>

Hi, Ignatios.

Glad to see some more europeans with pdp8's out there.
(I'm from Sweden)

The pdp8-lovers list is a bit special, long periods it is totally
dead, then comes another burst with lots of messages.

I'll give you a short list of what pdp8 equipment I use...

1 pdp8/m with 32Kw, EAE, RK05, DECtape, 9 channel magtape (800 bpi), RX01,
  paper tape
1 pdp8/f with 32Kw, RK05
2 pdp8/m with 32Kw, RK05
3 pdp8/a: RL02, RK05, RX01, 32Kw in two of them. The third is used as
  an expansion box for my 8/e.

One of the 8/a is my "personal" eight. Meaning I have it in my student
room for different tasks (playing). All other machines are in the
cellar of my dads house. I also have another 8/e with 32Kw, RK05 and RX01
coming in soon. Then I'll have eight pdp8. :-)
I also have some options just lying around, which I don't need.
Especially the POS. I/O bus interface which I have three or four of.

I'm looking for FPP8A. I think I'll start posting this regularly.
I WANT an FPP8A. (Anybody who missed that? :-)
I'm willing to trade, buy, swap or whatever for an FPP8A. If you have
one, and are looking for something else, let me know. I might have it.

	Johnny